View Issue Details

IDProjectCategoryView StatusLast Update
0005043Talerdeployment and operationspublic2018-04-15 20:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005043: Add 'make check' and 'make lint' for wallet in buildbot
DescriptionThe script called by buildbot, namely the one that builds the wallet, needs to be updated by calling 'make check' and 'make lint' when building the wallet.
The output should NOT be swallowed, but rather printed on the fancy buildbot's shell-looking window.
TagsNo tags attached.

Activities

Florian Dold

2017-12-10 21:38

manager   ~0012658

Marcello, did you run into any problems?

The exchange build system already implements "make lint" and "make check" (after configure was run).

Marcello Stanisci

2017-12-12 19:03

manager   ~0012671

no problems. Fixed at d6dedfa..

Issue History

Date Modified Username Field Change
2017-05-29 14:19 Marcello Stanisci New Issue
2017-06-01 22:54 Christian Grothoff Severity minor => feature
2017-10-23 10:23 Christian Grothoff Assigned To => Florian Dold
2017-10-23 10:23 Christian Grothoff Status new => assigned
2017-10-23 10:24 Christian Grothoff Product Version => SVN HEAD
2017-10-23 10:24 Christian Grothoff Target Version => 0.5
2017-12-10 21:37 Florian Dold Assigned To Florian Dold => Marcello Stanisci
2017-12-10 21:38 Florian Dold Note Added: 0012658
2017-12-12 19:03 Marcello Stanisci Status assigned => resolved
2017-12-12 19:03 Marcello Stanisci Resolution open => fixed
2017-12-12 19:03 Marcello Stanisci Note Added: 0012671
2017-12-14 15:39 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed